﻿Type=Class
Version=7.01
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
Sub Class_Globals
	Public sTypeName As String = "clsLeaf"
	Private myID As String
	Private myName As String
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize
	Dim r As Reflector
	r.Target = r.RunStaticMethod("java.util.UUID", "randomUUID", Null, Null)
	myID = r.RunMethod("toString")
	myName = ""
End Sub

'Property sID (readonly) - globally unique ID (aka UUID)
Public Sub getsID As String
	Return myID
End Sub

'Property sName - name of the Trunk
public Sub getsName As String
	Return myName
End Sub
public Sub setsName(NewVal As String)
	myName = NewVal
End Sub

' Creates a MapList containing iteminfo entries for the trunk/branch/leaf hierarchy
public Sub toItemInfo(oItemIDs As MapList, sParentID As String)
	Dim xLeaf As tItemInfo: xLeaf.Initialize
	xLeaf.sID = myID
	xLeaf.sName = myName
	xLeaf.sTypeName = sTypeName
	xLeaf.sParentID = sParentID
	xLeaf.iPos = oItemIDs.Size
	oItemIDs.Put(xLeaf.sID, xLeaf)
End Sub